[Backgroundrb-devel] Error starting up Backgroundrb

Raghu Srinivasan raghu.srinivasan at gmail.com
Wed Nov 19 02:21:54 EST 2008


I added that require and now the 'start' command seems to work fine but the
log has an error in it for "uninitialized constant
BackgrounDRb::MetaWorker::BdrbJobQueue (NameError)". Here it is:
============
ffapi ~/public_html/feedflix.com/ff: ./script/backgroundrb start
Starting BackgrounDRb ....
ffapi ~/public_html/feedflix.com/ff: ls -lrt log/ba*
-rw-r--r-- 1 raghus raghus   57 Nov 19 07:19 log/backgroundrb_11007.log
-rw-r--r-- 1 raghus raghus 1366 Nov 19 07:19
log/backgroundrb_debug_11007.log
ffapi ~/public_html/feedflix.com/ff: cat log/backgroundrb_debug_11007.log
/usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:478:in
`const_missing': uninitialized constant
BackgrounDRb::MetaWorker::BdrbJobQueue (NameError)
        from /home/raghus/public_html/
feedflix.com/ff/vendor/plugins/backgroundrb/server/lib/meta_worker.rb:271:in`check_for_enqueued_tasks'
        from /home/raghus/public_html/
feedflix.com/ff/vendor/plugins/backgroundrb/server/lib/meta_worker.rb:133:in`worker_init'
        from
/usr/lib/ruby/gems/1.8/gems/packet-0.1.14/bin/../lib/packet/packet_periodic_event.rb:23:in
`call'
        from
/usr/lib/ruby/gems/1.8/gems/packet-0.1.14/bin/../lib/packet/packet_periodic_event.rb:23:in
`run'
        from
/usr/lib/ruby/gems/1.8/gems/packet-0.1.14/bin/../lib/packet/packet_core.rb:301:in
`check_for_timer_events'
        from
/usr/lib/ruby/gems/1.8/gems/packet-0.1.14/bin/../lib/packet/packet_core.rb:301:in
`each'
        from
/usr/lib/ruby/gems/1.8/gems/packet-0.1.14/bin/../lib/packet/packet_core.rb:301:in
`check_for_timer_events'
        from /home/raghus/public_html/
feedflix.com/ff/vendor/plugins/backgroundrb/server/lib/meta_worker.rb:296:in`check_for_timer_events'
         ... 6 levels...
        from
/usr/lib/ruby/gems/1.8/gems/packet-0.1.14/bin/packet_worker_runner:47:in
`new'
        from
/usr/lib/ruby/gems/1.8/gems/packet-0.1.14/bin/packet_worker_runner:47
        from /usr/bin/packet_worker_runner:19:in `load'
        from /usr/bin/packet_worker_runner:19
ffapi ~/public_html/feedflix.com/ff:
==============


On Tue, Nov 18, 2008 at 11:03 PM, hemant <gethemant at gmail.com> wrote:

> I am puzzled. But anyways, just then open backgroundrb script from
> script directory and add require "bdrb_start_stop" after require
> "backgroundrb_server" and try.
>
>
>
> On Wed, Nov 19, 2008 at 12:29 PM, Raghu Srinivasan
> <raghu.srinivasan at gmail.com> wrote:
> > Hi Hemant,
> >
> > 1. I installed this version (0.1.14) of packet and tried - I still get
> the
> > same error
> > 2. My Rails version is 2.0.2. No, config.plans is commented out in my
> env.rb
> > (which means all plugins including BDRB must be getting loaded)
> > 3. Yes, I have this file
> >
> > I am on Ubuntu (Hardy) and the earlier BDRB version I've used all along
> runs
> > with no issues.
> >
> > Thanks,
> >
> > Raghu
> >
> > On Tue, Nov 18, 2008 at 10:50 PM, hemant <gethemant at gmail.com> wrote:
> >>
> >> 1. You need 0.1.14 packet version
> >> 2. which rails version you are using? Are you having config.plugins in
> >> environment.rb?
> >> 3. Do you have
> >> vendor/plugins/backgroundrb/lib/backgroundrb/bdrb_start_stop.rb
> >> file?
> >>
> >>
> >>
> >> On Wed, Nov 19, 2008 at 11:05 AM, Raghu Srinivasan
> >> <raghu.srinivasan at gmail.com> wrote:
> >> > Hello everyone, I am hoping to get some help with my upgrade of BDRB.
> >> >
> >> > As per one of Hemant's earlier emails, I started following along as
> per
> >> > the
> >> > instructions at http://backgroundrb.rubyforge.org
> >> >
> >> > 1) git clone for bdrb (after I removed the older backgroundrb
> directory
> >> > from
> >> > /vendor/plugins)
> >> > 2) upgraded packet to 0.1.7 from 0.1.5
> >> > 3) removed backgroundrb and load_worker_env.rb from the script
> directory
> >> > 4) did a rake backgroundrb:setup
> >> > 5) did a rake db:migrate and ensured that the table got created in the
> >> > db
> >> > 6) copied over my original backgroundrb.yml
> >> >
> >> > So far so good. Now when I try to start bdrb, I get this error:
> >> > ======
> >> > ffapi ~/public_html/feedflix.com/ff: script/backgroundrb start
> >> >
> >> >
> /usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:263:in
> >> > `load_missing_constant': uninitialized constant
> BackgrounDRb::StartStop
> >> > (NameError)
> >> >         from
> >> >
> >> >
> /usr/lib/ruby/gems/1.8/gems/activesupport-2.0.2/lib/active_support/dependencies.rb:453:in
> >> > `const_missing'
> >> >         from script/backgroundrb:32
> >> > ffapi ~/public_html/feedflix.com/ff:
> >> > =======
> >> > I feel like I am missing something obvious here. Can someone help?
> >> >
> >> > Thanks!
> >> > Raghu
> >> >
> >> >
> >> > _______________________________________________
> >> > Backgroundrb-devel mailing list
> >> > Backgroundrb-devel at rubyforge.org
> >> > http://rubyforge.org/mailman/listinfo/backgroundrb-devel
> >> >
> >>
> >>
> >>
> >> --
> >> Let them talk of their oriental summer climes of everlasting
> >> conservatories; give me the privilege of making my own summer with my
> >> own coals.
> >>
> >> http://gnufied.org
> >
> >
>
>
>
> --
> Let them talk of their oriental summer climes of everlasting
> conservatories; give me the privilege of making my own summer with my
> own coals.
>
> http://gnufied.org
>
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://rubyforge.org/pipermail/backgroundrb-devel/attachments/20081118/c9ddf3e6/attachment-0001.html>


More information about the Backgroundrb-devel mailing list